Create a Connect balance transfer

This API endpoint allows you to create a balance transfer from your organization's balance to a connected organization's balance, or vice versa. You can also create a balance transfer between two connected organizations. To create a balance transfer, you must be authenticated as the source organization, and the destination organization must be a connected organization that has authorized the balance-transfers.write scope for your organization.

Access with

Organization access token with balance-transfers.write

OAuth access with balance-transfers.write

Body Params
amount
object
required

The amount to be transferred, e.g. {"currency":"EUR", "value":"1000.00"} if you would like to transfer €1000.00.

source
object
required

A party involved in the balance transfer, either the sender or the receiver.

destination
object
required

A party involved in the balance transfer, either the sender or the receiver.

string
required
length ≤ 255

The transfer description for initiating party.

string

The type of the transfer. Different fees may apply to different types of transfers.

Possible values: invoice_collection purchase chargeback refund service_penalty discount_compensation manual_correction other_fee

metadata
object

A JSON object that you can attach to a balance transfer. This can be useful for storing additional information about the transfer in a structured format. Maximum size is approximately 1KB.

boolean

Whether to create the entity in test mode or live mode.

You can enable test mode by setting testmode to true.

Responses

Language
Credentials
Request
Response
Choose an example:
application/hal+json